[SOLVED] Problem Updating Firefox

Questions about applications and software
Forum rules
Before you post please read this

[SOLVED] Problem Updating Firefox

Postby jeffpmc on Mon Nov 12, 2012 9:42 am

Hi all, I am using 64 bit LMDE. I recently tried updating Firefox from 14.0.1 to Firefox 16 but failed :( .
Firefox 16 does that start after extracting the tar.bz2 file downloaded from the official website. When I tried running it from the terminal, it gave me the following error message.
Code: Select all
XPCOMGlueLoad error for file /home/jeff/firefox16/libxpcom.so:
libxul.so: cannot open shared object file: No such file or directory
Couldn't load XPCOM.


I tried using
Code: Select all
chmod
to change the permission but it didn't work. There isn't a package called libxul.

Could anyone please give me some help? Thank you.
Last edited by jeffpmc on Wed Nov 14, 2012 11:03 am, edited 1 time in total.
jeffpmc
Level 1
Level 1
 
Posts: 6
Joined: Sat Oct 27, 2012 11:30 am

Linux Mint is funded by ads and donations.
 

Re: Problem Updating Firefox

Postby jeffpmc on Wed Nov 14, 2012 7:38 am

Could anybody please provide me some help? Thanks a lot!
jeffpmc
Level 1
Level 1
 
Posts: 6
Joined: Sat Oct 27, 2012 11:30 am

Re: Problem Updating Firefox

Postby mack_mcash on Wed Nov 14, 2012 8:47 am

From this post:
Code: Select all
http://forums.linuxmint.com/viewtopic.php?f=197&t=86176&p=641270#p641270

Here is the basic info (edit as root):
Basically:

1) Edit "/opt/firefox/defaults/pref/channel-prefs.js" or "/opt/thunderbird/defaults/pref/channel-prefs.js" and change line 2:

Code: Select all
pref("app.update.channel", "default");

into

Code: Select all
pref("app.update.channel", "release");


2) Execute firefox or thunderbird as root.
3) Go to "Help -> About Firefox" or "Help -> About Thunderbird" and update it just like in windows.


Just remember to run firefox from "root" in order to update, then close FFx from root and then use FFx as your regular user.

good luck, mack
mack_mcash
Level 1
Level 1
 
Posts: 24
Joined: Sat Jun 02, 2012 10:54 am

Re: Problem Updating Firefox

Postby jeffpmc on Wed Nov 14, 2012 11:03 am

Thank you so much Mack!
It works like charm!! :D
jeffpmc
Level 1
Level 1
 
Posts: 6
Joined: Sat Oct 27, 2012 11:30 am

Re: [SOLVED] Problem Updating Firefox

Postby bigbenaugust on Wed Nov 14, 2012 3:19 pm

I got this error when I accidentally downloaded and installed FF16 32-bit on my 64-bit LMDE machine. Once I tried again with 64-bit FF16, it was fine.

Seems to me that you could also add a regular Debian experimental repo to your sources.list and get Iceweasel 16 with a little apt-pinning creativity.
bigbenaugust
Level 1
Level 1
 
Posts: 33
Joined: Wed Dec 07, 2011 2:46 pm
Location: the 408/650

Re: [SOLVED] Problem Updating Firefox

Postby mack_mcash on Thu Nov 15, 2012 1:39 pm

@jeffpmc

I am glad it worked for you, you're welcome.
mack_mcash
Level 1
Level 1
 
Posts: 24
Joined: Sat Jun 02, 2012 10:54 am


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 9 guests